Subject: Re: [PATCH net-next v4 9/9] net: Remove switchdev_ops

From: Ido Schimmel <[email-masked]>
Date: Tue, 12 Feb 2019 14:10:50 +0000

On Mon, Feb 11, 2019 at 11:10:01AM -0800, Florian Fainelli wrote:
> Now that we have converted all possible callers to using a switchdev
> notifier for attributes we do not have a need for implementing
> switchdev_ops anymore, and this can be removed from all drivers the
> net_device structure.
> 
> Acked-by: Jiri Pirko <[email-masked]>
> Signed-off-by: Florian Fainelli <[email-masked]>
> ---
>  drivers/net/ethernet/mellanox/mlxsw/spectrum.c | 12 ------------
>  drivers/net/ethernet/mellanox/mlxsw/spectrum.h |  2 --
>  .../mellanox/mlxsw/spectrum_switchdev.c        | 13 -------------
>  drivers/net/ethernet/mscc/ocelot.c             |  5 -----
>  drivers/net/ethernet/rocker/rocker_main.c      |  6 ------
>  drivers/staging/fsl-dpaa2/ethsw/ethsw.c        |  6 ------
>  include/linux/netdevice.h                      |  3 ---
>  include/net/switchdev.h                        | 18 ------------------
>  net/dsa/slave.c                                |  6 ------

There's also this line that can be removed from the 8021q driver:

net/8021q/vlan_dev.c:34:#include <net/switchdev.h>